# IRremoteESP8266: src/ir_MitsubishiHeavy.cpp File Reference

ir_MitsubishiHeavy.cpp File Reference

Support for Mitsubishi Heavy Industry protocols. Code to emulate Mitsubishi Heavy Industries A/C IR remote control units. More...

## Variables

const uint16_t | kMitsubishiHeavyHdrMark = 3140
const uint16_t | kMitsubishiHeavyHdrSpace = 1630
const uint16_t | kMitsubishiHeavyBitMark = 370
const uint16_t | kMitsubishiHeavyOneSpace = 420
const uint16_t | kMitsubishiHeavyZeroSpace = 1220
const uint32_t | kMitsubishiHeavyGap = kDefaultMessageGap

## Detailed Description

Support for Mitsubishi Heavy Industry protocols. Code to emulate Mitsubishi Heavy Industries A/C IR remote control units.

Note
  This code was heavily influenced by ToniA's great work & code, but it has been written from scratch. Nothing was copied other than constants and message analysis.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/660
  https://github.com/ToniA/Raw-IR-decoder-for-Arduino/blob/master/MitsubishiHeavy.cpp
  https://github.com/ToniA/arduino-heatpumpir/blob/master/MitsubishiHeavyHeatpumpIR.cpp

## Variable Documentation

## kMitsubishiHeavyBitMark

const uint16_t kMitsubishiHeavyBitMark = 370

## kMitsubishiHeavyGap

const uint32_t kMitsubishiHeavyGap = kDefaultMessageGap

## kMitsubishiHeavyHdrMark

const uint16_t kMitsubishiHeavyHdrMark = 3140

## kMitsubishiHeavyHdrSpace

const uint16_t kMitsubishiHeavyHdrSpace = 1630

## kMitsubishiHeavyOneSpace

const uint16_t kMitsubishiHeavyOneSpace = 420

## kMitsubishiHeavyZeroSpace

const uint16_t kMitsubishiHeavyZeroSpace = 1220